function::ansi_set_color
Prev | Chapter 29. Utility functions for using ansi control chars in logs | Next

## Name

function::ansi_set_color — Set the ansi Select Graphic Rendition mode.

## Synopsis

    1) ansi_set_color(fg:long)

    2) ansi_set_color(fg:long,bg:long)

    3) ansi_set_color(fg:long,bg:long,attr:long)

## Arguments

`fg`

  Foreground color to set.

`bg`

  Background color to set.

`attr`

  Color attribute to set.

## Description

1) Sends ansi code for Select Graphic Rendition mode for the given forground color. Black (30), Blue (34), Green (32), Cyan (36), Red (31), Purple (35), Brown (33), Light Gray (37).

2) Sends ansi code for Select Graphic Rendition mode for the given forground color, Black (30), Blue (34), Green (32), Cyan (36), Red (31), Purple (35), Brown (33), Light Gray (37) and the given background color, Black (40), Red (41), Green (42), Yellow (43), Blue (44), Magenta (45), Cyan (46), White (47).

3) Sends ansi code for Select Graphic Rendition mode for the given forground color, Black (30), Blue (34), Green (32), Cyan (36), Red (31), Purple (35), Brown (33), Light Gray (37), the given background color, Black (40), Red (41), Green (42), Yellow (43), Blue (44), Magenta (45), Cyan (46), White (47) and the color attribute All attributes off (0), Intensity Bold (1), Underline Single (4), Blink Slow (5), Blink Rapid (6), Image Negative (7).

Prev | Up | Next
function::ansi_reset_color | Home | function::indent